
Cook: znc 1.6.6
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): openssl-dev-1.1.0g
Installing (pkg/local): tcl-8.6.7
Installing (pkg/local): zlib-dev-1.2.11
Installing (pkg/local): tcl-dev-8.6.7
Extracting source archive "znc-1.6.6.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk

configure: loading site script /etc/slitaz/cook.site
checking for i486-slitaz-linux-g++... i486-slitaz-linux-g++
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether i486-slitaz-linux-g++ accepts -g... yes
checking whether i486-slitaz-linux-g++ supports C++11 features by default... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking for grep that handles long lines and -e... /bin/grep
checking for a sed that does not truncate output... /bin/sed
checking build system type... i486-slitaz-linux-gnu
checking host system type... i486-slitaz-linux-gnu
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking whether the -Werror option is usable... yes
checking for simple visibility declarations... yes
checking for git... no
checking for i486-slitaz-linux-pkg-config... /usr/bin/i486-slitaz-linux-pkg-config
checking pkg-config is at least version 0.9.0... yes
checking whether compiler predefines _FORTIFY_SOURCE... no
checking for getopt_long in -lgnugetopt... no
checking for lstat... yes
checking for getopt_long... yes
checking for getpassphrase... no
checking for tcsetattr... yes
checking for library containing dlopen... -ldl
checking for the pthreads library -lpthreads... no
checking whether pthreads work without any flags... no
checking whether pthreads work with -Kthread... no
checking whether pthreads work with -kthread... no
checking for the pthreads library -llthread... no
checking whether pthreads work with -pthread... yes
checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
checking if more special flags are required for pthreads... no
checking for PTHREAD_PRIO_INHERIT... yes
checking whether getaddrinfo() supports AI_ADDRCONFIG... yes
checking for openssl... yes
checking whether openssl is usable... yes
checking whether zlib is usable... yes
checking for icu-uc... no
configure: WARNING: support for charset conversion not found and thus disabled
checking for /usr/lib/tclConfig.sh... yes
checking modtcl flags... -I/usr/include -L/usr/lib -ltcl8.6
checking for Tcl_CreateInterp... yes
checking for GNU make... /usr/bin/make
configure: creating ./config.status
config.status: creating Makefile
config.status: creating znc-buildmod
config.status: creating man/Makefile
config.status: creating znc.pc
config.status: creating znc-uninstalled.pc
config.status: creating modules/Makefile
config.status: creating include/znc/zncconfig.h

ZNC 1.6.6 configured

prefix:       /usr
debug:        no
ipv6:         yes
openssl:      yes
dns:          threads
perl:         no
python:       no
swig:         not needed
cyrus:        no
tcl:          yes
charset:      no (icu-uc not found via pkg-config)
zlib:         yes
run from src: no

Now you can run "make" to compile ZNC
Building core object znc...
Building core object main...
Packing man page znc.1.gz...
Building core object ZNCString...
Building core object Csocket...
Packing man page znc-buildmod.1.gz...
Building core object IRCNetwork...
Building module autocycle...
In file included from ./include/znc/Client.h:23:0,
                 from ./include/znc/znc.h:21,
                 from ./include/znc/IRCNetwork.h:24,
                 from src/IRCNetwork.cpp:17:
src/IRCNetwork.cpp: In member function 'bool CIRCNetwork::JoinChan(CChan*)':
./include/znc/main.h:110:3: warning: nonnull argument 'this' compared to NULL [-Wnonnull-compare]
   if (macNETWORK != NULL) {                                      \
   ^
src/IRCNetwork.cpp:929:3: note: in expansion of macro 'NETWORKMODULECALL'
   NETWORKMODULECALL(OnTimerAutoJoin(*pChan), m_pUser, this, NULL, &bFailed);
   ^~~~~~~~~~~~~~~~~
./include/znc/main.h:110:3: warning: nonnull argument 'this' compared to NULL [-Wnonnull-compare]
   if (macNETWORK != NULL) {                                      \
   ^
src/IRCNetwork.cpp:918:2: note: in expansion of macro 'NETWORKMODULECALL'
  NETWORKMODULECALL(OnJoining(*pChan), m_pUser, this, NULL, &bReturn);
  ^~~~~~~~~~~~~~~~~
src/IRCNetwork.cpp: In member function 'void CIRCNetwork::ClientConnected(CClient*)':
./include/znc/main.h:110:3: warning: nonnull argument 'this' compared to NULL [-Wnonnull-compare]
   if (macNETWORK != NULL) {                                      \
   ^
src/IRCNetwork.cpp:669:3: note: in expansion of macro 'NETWORKMODULECALL'
   NETWORKMODULECALL(OnPrivBufferPlayLine2(*pClient, sLine, BufLine.GetTime()), m_pUser, this, NULL, &bContinue);
   ^~~~~~~~~~~~~~~~~
src/IRCNetwork.cpp: In member function 'bool CIRCNetwork::Connect()':
./include/znc/main.h:110:3: warning: nonnull argument 'this' compared to NULL [-Wnonnull-compare]
   if (macNETWORK != NULL) {                                      \
   ^
src/IRCNetwork.cpp:1234:2: note: in expansion of macro 'NETWORKMODULECALL'
  NETWORKMODULECALL(OnIRCConnecting(pIRCSock), m_pUser, this, NULL, &bAbort);
  ^~~~~~~~~~~~~~~~~
Building core object User...
Building core object IRCSock...
Building core object Client...
In file included from ./include/znc/Client.h:23:0,
                 from ./include/znc/znc.h:21,
                 from ./include/znc/IRCNetwork.h:24,
                 from src/User.cpp:20:
src/User.cpp: In member function 'bool CUser::DeleteNetwork(const CString&)':
./include/znc/main.h:86:3: warning: nonnull argument 'this' compared to NULL [-Wnonnull-compare]
   if (macUSER != nullptr) { \
   ^
./include/znc/main.h:126:2: note: in expansion of macro '_USERMODULECALL'
  _USERMODULECALL(macFUNC, macUSER, NULL, macCLIENT, macEXITER)
  ^~~~~~~~~~~~~~~
src/User.cpp:495:3: note: in expansion of macro 'USERMODULECALL'
   USERMODULECALL(OnDeleteNetwork(*pNetwork), this, NULL, &bCancel);
   ^~~~~~~~~~~~~~
src/User.cpp: In member function 'CIRCNetwork* CUser::AddNetwork(const CString&, CString&)':
./include/znc/main.h:86:3: warning: nonnull argument 'this' compared to NULL [-Wnonnull-compare]
   if (macUSER != nullptr) { \
   ^
./include/znc/main.h:126:2: note: in expansion of macro '_USERMODULECALL'
  _USERMODULECALL(macFUNC, macUSER, NULL, macCLIENT, macEXITER)
  ^~~~~~~~~~~~~~~
src/User.cpp:461:2: note: in expansion of macro 'USERMODULECALL'
  USERMODULECALL(OnAddNetwork(*pNetwork, sErrorRet), this, NULL, &bCancel);
  ^~~~~~~~~~~~~~
src/IRCSock.cpp: In member function 'virtual void CIRCSock::ReadLine(const CString&)':
src/IRCSock.cpp:437:5: warning: this statement may fall through [-Wimplicit-fallthrough=]
     if (m_pNetwork->GetIRCServer().Equals(sServer)) {
     ^~
src/IRCSock.cpp:440:4: note: here
    case 372:  // motd
    ^~~~
src/IRCSock.cpp:450:5: warning: this statement may fall through [-Wimplicit-fallthrough=]
     if (m_pNetwork->IsChan(sRest.Token(0)) || sNick != "*")
     ^~
src/IRCSock.cpp:452:4: note: here
    case 432: // :irc.server.com 432 * nick :Erroneous Nickname: Illegal characters
    ^~~~
src/IRCSock.cpp:465:5: warning: this statement may fall through [-Wimplicit-fallthrough=]
     if (sNick.Equals("CAP"))
     ^~
src/IRCSock.cpp:467:4: note: here
    case 470: {
    ^~~~
Building core object Chan...
Building core object Nick...
Building core object Server...
Building core object Modules...
Building core object MD5...
Building core object Buffer...
Building core object Utils...
Building core object FileUtils...
Building core object HTTPSock...
Building core object Template...
Building core object ClientCommand...
Building core object Socket...
Building core object SHA256...
Building core object WebModules...
Building core object Listener...
Building core object Config...
Building core object ZNCDebug...
Building core object Threads...
Building core object version...
Building core object Query...
Building core object SSLVerifyHost...
Building module partyline...
Building module webadmin...
Building module simple_away...
Building module notify_connect...
Building module sasl...
Linking znc...
Building module controlpanel...
Building module chansaver...
Building module dcc...
Building module shell...
Building module awaynick...
Building module kickrejoin...
Building module lastseen...
Building module keepnick...
Building module disconkick...
Building module ctcpflood...
Building module send_raw...
Building module watch...
Building module block_motd...
Building module route_replies...
Building module notes...
Building module cert...
Building module missingmotd...
Building module autoattach...
Building module adminlog...
Building module imapauth...
Building module nickserv...
Building module fail2ban...
Building module crypt...
Building module modtcl...
Building module autovoice...
Building module q...
Building module certauth...
Building module buffextras...
Building module savebuff...
Building module bouncedcc...
Building module schat...
Building module blockuser...
Building module log...
Building module flooddetach...
Building module identfile...
Building module raw...
Building module awaystore...
Building module listsockets...
Building module autoop...
Building module alias...
Building module modules_online...
Building module sample...
Building module clearbufferonmsg...
Building module autoreply...
Building module perform...
Building module clientnotify...
Building module stickychan...
Linking  module autocycle...
Linking  module webadmin...
Linking  module partyline...
Linking  module simple_away...
Linking  module notify_connect...
Linking  module sasl...
Linking  module controlpanel...
Linking  module chansaver...
Linking  module dcc...
Linking  module shell...
Linking  module awaynick...
Linking  module kickrejoin...
Linking  module lastseen...
Linking  module keepnick...
Linking  module disconkick...
Linking  module ctcpflood...
Linking  module send_raw...
Linking  module watch...
Linking  module block_motd...
Linking  module route_replies...
Linking  module notes...
Linking  module cert...
Linking  module missingmotd...
Linking  module autoattach...
Linking  module adminlog...
Linking  module imapauth...
Linking  module nickserv...
Linking  module fail2ban...
Linking  module crypt...
Linking  module modtcl...
Linking  module autovoice...
Linking  module q...
Linking  module certauth...
Linking  module buffextras...
Linking  module savebuff...
Linking  module bouncedcc...
Linking  module schat...
Linking  module blockuser...
Linking  module log...
Linking  module flooddetach...
Linking  module identfile...
Linking  module raw...
Linking  module awaystore...
Linking  module listsockets...
Linking  module autoop...
Linking  module alias...
Linking  module modules_online...
Linking  module sample...
Linking  module clearbufferonmsg...
Linking  module autoreply...
Linking  module perform...
Linking  module clientnotify...
Linking  module stickychan...

 ZNC was successfully compiled.
 Use 'make install' to install ZNC to '/usr'.
test -d /home/slitaz/wok/znc/install/usr/bin || /usr/bin/install -c -d /home/slitaz/wok/znc/install/usr/bin
test -d /home/slitaz/wok/znc/install/usr/include/znc || /usr/bin/install -c -d /home/slitaz/wok/znc/install/usr/include/znc
test -d /home/slitaz/wok/znc/install/usr/lib/pkgconfig || /usr/bin/install -c -d /home/slitaz/wok/znc/install/usr/lib/pkgconfig
test -d /home/slitaz/wok/znc/install/usr/lib/znc || /usr/bin/install -c -d /home/slitaz/wok/znc/install/usr/lib/znc
test -d /home/slitaz/wok/znc/install/usr/share/znc || /usr/bin/install -c -d /home/slitaz/wok/znc/install/usr/share/znc
cp -R ./webskins /home/slitaz/wok/znc/install/usr/share/znc
find /home/slitaz/wok/znc/install/usr/share/znc/webskins -type d -exec chmod 0755 '{}' \;
find /home/slitaz/wok/znc/install/usr/share/znc/webskins -type f -exec chmod 0644 '{}' \;
/usr/bin/install -c znc /home/slitaz/wok/znc/install/usr/bin
/usr/bin/install -c znc-buildmod /home/slitaz/wok/znc/install/usr/bin
/usr/bin/install -c -m 644 ./include/znc/*.h /home/slitaz/wok/znc/install/usr/include/znc
/usr/bin/install -c -m 644 include/znc/zncconfig.h /home/slitaz/wok/znc/install/usr/include/znc
/usr/bin/install -c -m 644 znc.pc /home/slitaz/wok/znc/install/usr/lib/pkgconfig
make[1]: Entering directory '/home/slitaz/wok/znc/source/znc-1.6.6/modules'
rm -rf /home/slitaz/wok/znc/install/usr/share/znc/modules
mkdir -p /home/slitaz/wok/znc/install/usr/share/znc/modtcl/
test -d /home/slitaz/wok/znc/install/usr/lib/znc || /usr/bin/install -c -d /home/slitaz/wok/znc/install/usr/lib/znc
/usr/bin/install -c -m 644 ./modtcl/modtcl.tcl ./modtcl/binds.tcl /home/slitaz/wok/znc/install/usr/share/znc/modtcl/
test -d /home/slitaz/wok/znc/install/usr/share/znc/modules || /usr/bin/install -c -d /home/slitaz/wok/znc/install/usr/share/znc/modules
rm -rf /home/slitaz/wok/znc/install/usr/lib/znc/*.so
cp -R ./data/* /home/slitaz/wok/znc/install/usr/share/znc/modules
find /home/slitaz/wok/znc/install/usr/share/znc/modules -type d -exec chmod 0755 '{}' \;
find /home/slitaz/wok/znc/install/usr/share/znc/modules -type f -exec chmod 0644 '{}' \;
/usr/bin/install -c webadmin.so partyline.so raw.so dcc.so autoattach.so blockuser.so clientnotify.so disconkick.so notify_connect.so certauth.so ctcpflood.so send_raw.so simple_away.so cert.so stickychan.so bouncedcc.so fail2ban.so schat.so crypt.so block_motd.so q.so flooddetach.so sasl.so controlpanel.so route_replies.so listsockets.so autoop.so alias.so modules_online.so sample.so clearbufferonmsg.so buffextras.so perform.so awaynick.so lastseen.so keepnick.so autoreply.so awaystore.so shell.so notes.so watch.so adminlog.so imapauth.so autovoice.so log.so savebuff.so missingmotd.so identfile.so chansaver.so modtcl.so autocycle.so kickrejoin.so nickserv.so /home/slitaz/wok/znc/install/usr/lib/znc
make[1]: Leaving directory '/home/slitaz/wok/znc/source/znc-1.6.6/modules'
if test -n ""; then \
	test -d /home/slitaz/wok/znc/install || /usr/bin/install -c -d /home/slitaz/wok/znc/install || exit 1 ; \
	/usr/bin/install -c  /home/slitaz/wok/znc/install || exit 1 ; \
fi
make[1]: Entering directory '/home/slitaz/wok/znc/source/znc-1.6.6/man'
test -d /home/slitaz/wok/znc/install/usr/share/man/man1 || /usr/bin/install -c -d /home/slitaz/wok/znc/install/usr/share/man/man1
/usr/bin/install -c -m 644 znc.1.gz znc-buildmod.1.gz /home/slitaz/wok/znc/install/usr/share/man/man1
make[1]: Leaving directory '/home/slitaz/wok/znc/source/znc-1.6.6/man'
#test -d /home/slitaz/wok/znc/install || /usr/bin/install -c -d /home/slitaz/wok/znc/install
#/usr/bin/install -c -m 644 ./znc.service /home/slitaz/wok/znc/install

******************************************************************
 ZNC was successfully installed.
 You can use '/usr/bin/znc --makeconf'
 to generate a config file.

 If you need help with using ZNC, please visit our wiki at:
   http://znc.in
================================================================================

Installing (pkg/local): advancecomp-static-2.1
Compressing man pages...                                               Done
  Time: 1.78s. Size: 1672 B -> 1646 B. Save: 0 KB. Cache hit: 0/2.
Installing (pkg/local): pngquant-static-2.9.1
Installing (pkg/local): optipng-static-0.7.6
Compressing png images...                                              Done
  Time: 4.71s. Size: 220753 B -> 70726 B. Save: 147 KB. Cache hit: 0/2.
================================================================================


Build dependencies to remove: 7
Removing: advancecomp-static openssl-dev optipng-static pngquant-static tcl 
tcl-dev zlib-dev


Pack: znc 1.6.6
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 7.20s. Size: 5178976 B -> 4272060 B. Save: 886 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
The release checksum has changed.
================================================================================
Package "znc-1.6.6.tazpkg" created


Summary for: znc 1.6.6
================================================================================
Src file    : znc-1.6.6.tar.gz
Src size    : 1.4M
Source dir  : 24.1M
Produced    : 6.4M
Cook time   : 104s ~ 2m
Cook date   : 2018-03-14 17:48
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :    5.2M :       1.2M :   127 : znc-1.6.6.tazpkg
================================================================================
